Subject: Re: [PATCH] net: stmmac: dwc-qos: Disable split header for Tegra194

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Jul 2022 19:11:40 -0700

On Wed, 6 Jul 2022 09:39:13 +0100 Jon Hunter wrote:
> There is a long-standing issue with the Synopsys DWC Ethernet driver
> for Tegra194 where random system crashes have been observed [0]. The
> problem occurs when the split header feature is enabled in the stmmac
> driver. In the bad case, a larger than expected buffer length is
> received and causes the calculation of the total buffer length to
> overflow. This results in a very large buffer length that causes the
> kernel to crash. Why this larger buffer length is received is not clear,
> however, the feedback from the NVIDIA design team is that the split
> header feature is not supported for Tegra194. Therefore, disable split
> header support for Tegra194 to prevent these random crashes from
> occurring.
> 
> [0] https://lore.kernel.org/linux-tegra/[email-masked]/
> 
> Signed-off-by: Jon Hunter <[email-masked]>

Fixes: 67afd6d1cfdf ("net: stmmac: Add Split Header support and enable it in XGMAC cores")

correct?